summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /mail-client/claws-mail
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'mail-client/claws-mail')
-rw-r--r--mail-client/claws-mail/Manifest6
-rw-r--r--mail-client/claws-mail/claws-mail-3.10.1.ebuild205
-rw-r--r--mail-client/claws-mail/claws-mail-3.11.1-r1.ebuild207
-rw-r--r--mail-client/claws-mail/claws-mail-3.9.0-r1.ebuild140
-rw-r--r--mail-client/claws-mail/claws-mail-3.9.0.ebuild135
-rw-r--r--mail-client/claws-mail/claws-mail-3.9.1-r1.ebuild210
-rw-r--r--mail-client/claws-mail/claws-mail-3.9.1.ebuild207
-rw-r--r--mail-client/claws-mail/claws-mail-3.9.2.ebuild205
-rw-r--r--mail-client/claws-mail/claws-mail-3.9.3.ebuild204
-rw-r--r--mail-client/claws-mail/files/claws-3.9.0_fix-search-field_part1.patch149
-rw-r--r--mail-client/claws-mail/files/claws-3.9.0_fix-search-field_part2.patch16
-rw-r--r--mail-client/claws-mail/files/claws-mail-3.11.1_RSSyl-encodings-fix.patch23
-rw-r--r--mail-client/claws-mail/files/claws-mail-3.9.1_fix-nntp-segfault.patch36
-rw-r--r--mail-client/claws-mail/files/claws-mail-3.9.1_libsoup-check-fix.patch30
-rw-r--r--mail-client/claws-mail/metadata.xml40
15 files changed, 1813 insertions, 0 deletions
diff --git a/mail-client/claws-mail/Manifest b/mail-client/claws-mail/Manifest
new file mode 100644
index 00000000000..d17a1f3b3d4
--- /dev/null
+++ b/mail-client/claws-mail/Manifest
@@ -0,0 +1,6 @@
+DIST claws-mail-3.10.1.tar.xz 6669376 SHA256 4cb7c42995b1a5d7567a0909ce2080c05eec74a4d966da7a7a872f5eba018459 SHA512 b001683522a9a2bb9b1680f8ff608172a3fe9c4f556c8aa818b4259801bc92f722093850218377aba3a5fe549f0f09164c2e7623042bca0dbf3fd1071436dc80 WHIRLPOOL 0bcf92138081cd6fe0bef18a85acc9939fe61ab87faafc27a0ded24e321b4a35c0a1f6736aee6b0eef7d2d451c037cddcb280fece1a1c38c2e8f20c45ef685f7
+DIST claws-mail-3.11.1.tar.xz 6908772 SHA256 d72381b6c9f872638cae2c208925e19bd5d4a9476bb9049742f1ba27c3efd133 SHA512 ae4f0d4299647e201e94111a6eb26cce1d6a72045c317b879a07847cfcc75c35dfdf571f2826d365800586f5798131ce95985f746f7dbdd878f3766370ab3570 WHIRLPOOL 3ddf72a97990e087cd0c8a0417d6f57ee607e62bc5d644c6fb1892f349e9646a76664888a4540b6d22f5afe065e6e1e58d63188387cc829fda6fefe55ea4183d
+DIST claws-mail-3.9.0.tar.bz2 7425870 SHA256 ed70975a5056b3ffc4fe6e977f0d9606febc1499763c090241b029a73ff24e65 SHA512 5cb17106fee4549464eca03c8630fa4c46ee7b236c51eefbeb00f8a3602937cbe6073617f47a94732983ec3bc8838bc80e567f2e55cce1b30db453f350f590e8 WHIRLPOOL 4f2bef9d2240037eb6fd9b62b48c7173fddbd4fcb7258d4c5e0ee0e322894d741532c2ad716fbac96e465f87fe428fa6e926a04e7e8de1beaf68b8cb0a12c9a4
+DIST claws-mail-3.9.1.tar.bz2 9367489 SHA256 376e535aac746dccbd8871c6f3ff6ced3010b5f7c048f4e3d18e66dfb5622910 SHA512 527a19a8604672e2657a6c923bb24332a7c32f08532a970e7916621d32269643f9211af3194e75572df03f594a0c127999b6ac5de363ba7d69fa4cf2450b58ab WHIRLPOOL 13d301691e564c1bec0300afe7dfee48b0949c2fae5db8546efd840b04ff425e89268569faab331741add1242d67bbfd5504cb34d8137ac3cc3b74a982ad5a2e
+DIST claws-mail-3.9.2.tar.bz2 9413758 SHA256 e396cb67e8ecdae926dfcd59da4b3f26a633aabc0f4f00b1f24cb207f3ff2330 SHA512 8703c170b7e66fb42e8fe41ec86997edc56c9c0da92ac5482d6432159ea46d53aec414097f0c796abee5cb4402bfaa55b194f36c21d5453ab97ea140a2093240 WHIRLPOOL 0c56081cbd073e532725afc3c3714f28b6f1a9adcc835e421deb7db6814b634f26e8e95d42a832d0fdcd7b7b3824a03b66cb7d6951ffe9bf4ef10bb777bb4777
+DIST claws-mail-3.9.3.tar.bz2 9463943 SHA256 53aacceab45af6c3ee1f0668956a6e3328d21ac4efcfc0aa8dfd7d7552a62372 SHA512 b9e7a686650bfc496bf7e6b8ca196a890e3c5b2cbce486f7940245e42dc7a9fc53d81f688d88e298f310fd71e378ea4ea29a57c8510cccb6312d4ba1c79e3d42 WHIRLPOOL 58a7c431e214e82f6629e881eaf04b8f587f5aab1f5e990f9e20dff875821e1b0e8e7c0ab7ab47329f20a2e384dd203ea8b3afbe58175f3a48c963917311359e
diff --git a/mail-client/claws-mail/claws-mail-3.10.1.ebuild b/mail-client/claws-mail/claws-mail-3.10.1.ebuild
new file mode 100644
index 00000000000..43fe1b5917d
--- /dev/null
+++ b/mail-client/claws-mail/claws-mail-3.10.1.ebuild
@@ -0,0 +1,205 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+AUTOTOOLS_AUTORECONF=yes
+
+inherit autotools-utils multilib gnome2-utils eutils python-single-r1
+
+DESCRIPTION="An email client (and news reader) based on GTK+"
+HOMEPAGE="http://www.claws-mail.org/"
+
+SRC_URI="mirror://sourceforge/${PN}/Claws%20Mail/${PV}/${P}.tar.xz"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="archive bogofilter calendar clamav dbus debug doc gdata gtk3 +imap ipv6 ldap +libcanberra +libindicate +libnotify networkmanager nntp +notification pda pdf perl +pgp python rss session smime spamassassin spam-report spell +gnutls startup-notification valgrind webkit xface"
+REQUIRED_USE="networkmanager? ( dbus )
+ smime? ( pgp )
+ libcanberra? ( notification )
+ libindicate? ( notification )
+ libnotify? ( notification )"
+
+# Plugins are all integrated or dropped since 3.9.1
+PLUGINBLOCK="!!mail-client/claws-mail-acpi-notifier
+ !!mail-client/claws-mail-archive
+ !!mail-client/claws-mail-att-remover
+ !!mail-client/claws-mail-attachwarner
+ !!mail-client/claws-mail-clamd
+ !!mail-client/claws-mail-fancy
+ !!mail-client/claws-mail-fetchinfo
+ !mail-client/claws-mail-gdata
+ !!mail-client/claws-mail-geolocation
+ !!mail-client/claws-mail-gtkhtml
+ !!mail-client/claws-mail-mailmbox
+ !!mail-client/claws-mail-newmail
+ !!mail-client/claws-mail-notification
+ !!mail-client/claws-mail-perl
+ !!mail-client/claws-mail-python
+ !!mail-client/claws-mail-rssyl
+ !!mail-client/claws-mail-spam-report
+ !!mail-client/claws-mail-tnef-parse
+ !!mail-client/claws-mail-vcalendar
+ !!mail-client/claws-mail-address_keeper
+ !!mail-client/claws-mail-pdf-viewer"
+
+COMMONDEPEND=">=sys-devel/gettext-0.12.1
+ gdata? ( >=dev-libs/libgdata-0.6.4 )
+ gtk3? ( x11-libs/gtk+:3 )
+ !gtk3? ( >=x11-libs/gtk+-2.20:2 )
+ pda? ( >=app-pda/jpilot-0.99 )
+ gnutls? ( >=net-libs/gnutls-2.2.0 )
+ ldap? ( >=net-nds/openldap-2.0.7 )
+ pgp? ( >=app-crypt/gpgme-0.4.5 )
+ valgrind? ( dev-util/valgrind )
+ dbus? ( >=dev-libs/dbus-glib-0.60 )
+ spell? ( >=app-text/enchant-1.0.0 )
+ imap? ( >=net-libs/libetpan-0.57 )
+ nntp? ( >=net-libs/libetpan-0.57 )
+ startup-notification? ( x11-libs/startup-notification )
+ session? ( x11-libs/libSM
+ x11-libs/libICE )
+ archive? ( app-arch/libarchive
+ >=net-misc/curl-7.9.7 )
+ bogofilter? ( mail-filter/bogofilter )
+ notification? (
+ libnotify? ( x11-libs/libnotify )
+ libcanberra? ( media-libs/libcanberra[gtk] )
+ libindicate? ( dev-libs/libindicate:3[gtk] )
+ dev-libs/glib
+ )
+ smime? ( >=app-crypt/gpgme-0.4.5 )
+ calendar? ( >=net-misc/curl-7.9.7 )
+ pdf? ( app-text/poppler:=[cairo] )
+ spam-report? ( >=net-misc/curl-7.9.7 )
+ webkit? ( >=net-libs/webkit-gtk-1.0:2
+ >=net-libs/libsoup-gnome-2.26:2.4 )
+"
+
+DEPEND="${PLUGINBLOCK}
+ ${COMMONDEPEND}
+ app-arch/xz-utils
+ xface? ( >=media-libs/compface-1.4 )
+ virtual/pkgconfig"
+
+RDEPEND="${COMMONDEPEND}
+ pdf? ( app-text/ghostscript-gpl )
+ clamav? ( app-antivirus/clamav )
+ networkmanager? ( net-misc/networkmanager )
+ perl? ( dev-lang/perl )
+ python? ( ${PYTHON_DEPS}
+ >=dev-python/pygtk-2.10.3 )
+ rss? ( net-misc/curl
+ dev-libs/libxml2 )
+ app-misc/mime-types
+ x11-misc/shared-mime-info"
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug crash-dialog)
+ $(use_enable valgrind valgrind)
+ $(use_enable doc manual)
+ $(use_enable gtk3)
+ $(use_enable ipv6)
+ $(use_enable ldap)
+ $(use_enable dbus dbus)
+ $(use_enable networkmanager)
+ $(use_enable pda jpilot)
+ $(use_enable session libsm)
+ $(use_enable spell enchant)
+ $(use_enable gnutls)
+ $(use_enable startup-notification)
+ $(use_enable xface compface)
+ $(use_enable archive archive-plugin)
+ $(use_enable bogofilter bogofilter-plugin)
+ $(use_enable calendar vcalendar-plugin)
+ $(use_enable clamav clamd-plugin)
+ $(use_enable gdata gdata-plugin)
+ $(use_enable notification notification-plugin)
+ $(use_enable pdf pdf_viewer-plugin)
+ $(use_enable perl perl-plugin)
+ $(use_enable pgp pgpmime-plugin)
+ $(use_enable pgp pgpinline-plugin)
+ $(use_enable pgp pgpcore-plugin)
+ $(use_enable python python-plugin)
+ $(use_enable rss rssyl-plugin)
+ $(use_enable spamassassin spamassassin-plugin)
+ $(use_enable smime smime-plugin)
+ $(use_enable spam-report spam_report-plugin)
+ $(use_enable webkit fancy-plugin)
+ --enable-new-addrbook
+ --enable-nls
+ --enable-acpi_notifier-plugin
+ --enable-address_keeper-plugin
+ --enable-att_remover-plugin
+ --enable-attachwarner-plugin
+ --enable-fetchinfo-plugin
+ --enable-mailmbox-plugin
+ --enable-newmail-plugin
+ --enable-tnef_parse-plugin
+ --disable-generic-umpc
+ --disable-bsfilter-plugin
+ --disable-geolocation-plugin
+ )
+
+ # libetpan is needed if user wants nntp or imap functionality
+ if use imap || use nntp; then
+ myeconfargs+=( --enable-libetpan )
+ else
+ myeconfargs+=( --disable-libetpan )
+ fi
+
+ autotools-utils_src_configure
+}
+
+src_install() {
+ local DOCS=( AUTHORS ChangeLog* INSTALL* NEWS README* TODO* )
+ autotools-utils_src_install
+
+ # Makefile install claws-mail.png in /usr/share/icons/hicolor/48x48/apps
+ # => also install it in /usr/share/pixmaps for other desktop envs
+ # => also install higher resolution icons in /usr/share/icons/hicolor/...
+ insinto /usr/share/pixmaps
+ doins ${PN}.png || die
+ local res resdir
+ for res in 64x64 128x128 ; do
+ resdir="/usr/share/icons/hicolor/${res}/apps"
+ insinto ${resdir}
+ newins ${PN}-${res}.png ${PN}.png || die
+ done
+
+ docinto tools
+ dodoc tools/README*
+
+ domenu ${PN}.desktop
+
+ einfo "Installing extra tools"
+ cd "${S}"/tools
+ exeinto /usr/$(get_libdir)/${PN}/tools
+ doexe *.pl *.py *.conf *.sh || die
+ doexe tb2claws-mail update-po uudec uuooffice || die
+
+ # kill useless files
+ rm -f "${D}"/usr/lib*/claws-mail/plugins/*.{a,la}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ ewarn "When upgrading from version 3.9.0 or below some changes have happened:"
+ ewarn "- There are no individual plugins in mail-client/claws-mail-* anymore, but they are integrated mostly controlled through USE flags"
+ ewarn "- Plugins with no special dependencies are just built and can be loaded through the interface"
+ ewarn "- The gtkhtml2, dillo and trayicon plugins have been dropped entirely"
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/mail-client/claws-mail/claws-mail-3.11.1-r1.ebuild b/mail-client/claws-mail/claws-mail-3.11.1-r1.ebuild
new file mode 100644
index 00000000000..98f50772837
--- /dev/null
+++ b/mail-client/claws-mail/claws-mail-3.11.1-r1.ebuild
@@ -0,0 +1,207 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+AUTOTOOLS_AUTORECONF=yes
+
+inherit autotools-utils multilib gnome2-utils eutils python-single-r1
+
+DESCRIPTION="An email client (and news reader) based on GTK+"
+HOMEPAGE="http://www.claws-mail.org/"
+
+SRC_URI="mirror://sourceforge/${PN}/Claws%20Mail/${PV}/${P}.tar.xz"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="archive bogofilter calendar clamav dbus debug doc gdata gtk3 +imap ipv6 ldap +libcanberra +libindicate +libnotify networkmanager nntp +notification pda pdf perl +pgp python rss session smime spamassassin spam-report spell +gnutls startup-notification valgrind webkit xface"
+REQUIRED_USE="networkmanager? ( dbus )
+ smime? ( pgp )
+ libcanberra? ( notification )
+ libindicate? ( notification )
+ libnotify? ( notification )"
+
+# Plugins are all integrated or dropped since 3.9.1
+PLUGINBLOCK="!!mail-client/claws-mail-acpi-notifier
+ !!mail-client/claws-mail-archive
+ !!mail-client/claws-mail-att-remover
+ !!mail-client/claws-mail-attachwarner
+ !!mail-client/claws-mail-clamd
+ !!mail-client/claws-mail-fancy
+ !!mail-client/claws-mail-fetchinfo
+ !mail-client/claws-mail-gdata
+ !!mail-client/claws-mail-geolocation
+ !!mail-client/claws-mail-gtkhtml
+ !!mail-client/claws-mail-mailmbox
+ !!mail-client/claws-mail-newmail
+ !!mail-client/claws-mail-notification
+ !!mail-client/claws-mail-perl
+ !!mail-client/claws-mail-python
+ !!mail-client/claws-mail-rssyl
+ !!mail-client/claws-mail-spam-report
+ !!mail-client/claws-mail-tnef-parse
+ !!mail-client/claws-mail-vcalendar
+ !!mail-client/claws-mail-address_keeper
+ !!mail-client/claws-mail-pdf-viewer"
+
+COMMONDEPEND=">=sys-devel/gettext-0.12.1
+ gdata? ( >=dev-libs/libgdata-0.6.4 )
+ gtk3? ( x11-libs/gtk+:3 )
+ !gtk3? ( >=x11-libs/gtk+-2.20:2 )
+ pda? ( >=app-pda/jpilot-0.99 )
+ gnutls? ( >=net-libs/gnutls-2.2.0 )
+ ldap? ( >=net-nds/openldap-2.0.7 )
+ pgp? ( >=app-crypt/gpgme-0.4.5 )
+ valgrind? ( dev-util/valgrind )
+ dbus? ( >=dev-libs/dbus-glib-0.60 )
+ spell? ( >=app-text/enchant-1.0.0 )
+ imap? ( >=net-libs/libetpan-0.57 )
+ nntp? ( >=net-libs/libetpan-0.57 )
+ startup-notification? ( x11-libs/startup-notification )
+ session? ( x11-libs/libSM
+ x11-libs/libICE )
+ archive? ( app-arch/libarchive
+ >=net-misc/curl-7.9.7 )
+ bogofilter? ( mail-filter/bogofilter )
+ notification? (
+ libnotify? ( x11-libs/libnotify )
+ libcanberra? ( media-libs/libcanberra[gtk] )
+ libindicate? ( dev-libs/libindicate:3[gtk] )
+ dev-libs/glib:2
+ )
+ smime? ( >=app-crypt/gpgme-0.4.5 )
+ calendar? ( >=net-misc/curl-7.9.7 )
+ pdf? ( app-text/poppler:=[cairo] )
+ spam-report? ( >=net-misc/curl-7.9.7 )
+ webkit? ( >=net-libs/webkit-gtk-1.0:2
+ >=net-libs/libsoup-gnome-2.26:2.4 )
+"
+
+DEPEND="${PLUGINBLOCK}
+ ${COMMONDEPEND}
+ app-arch/xz-utils
+ xface? ( >=media-libs/compface-1.4 )
+ virtual/pkgconfig"
+
+RDEPEND="${COMMONDEPEND}
+ pdf? ( app-text/ghostscript-gpl )
+ clamav? ( app-antivirus/clamav )
+ networkmanager? ( net-misc/networkmanager )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS}
+ >=dev-python/pygtk-2.10.3 )
+ rss? ( net-misc/curl
+ dev-libs/libxml2 )
+ app-misc/mime-types
+ x11-misc/shared-mime-info"
+
+PATCHES=( "${FILESDIR}/${P}_RSSyl-encodings-fix.patch" )
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug crash-dialog)
+ $(use_enable valgrind valgrind)
+ $(use_enable doc manual)
+ $(use_enable gtk3)
+ $(use_enable ipv6)
+ $(use_enable ldap)
+ $(use_enable dbus dbus)
+ $(use_enable networkmanager)
+ $(use_enable pda jpilot)
+ $(use_enable session libsm)
+ $(use_enable spell enchant)
+ $(use_enable gnutls)
+ $(use_enable startup-notification)
+ $(use_enable xface compface)
+ $(use_enable archive archive-plugin)
+ $(use_enable bogofilter bogofilter-plugin)
+ $(use_enable calendar vcalendar-plugin)
+ $(use_enable clamav clamd-plugin)
+ $(use_enable gdata gdata-plugin)
+ $(use_enable notification notification-plugin)
+ $(use_enable pdf pdf_viewer-plugin)
+ $(use_enable perl perl-plugin)
+ $(use_enable pgp pgpmime-plugin)
+ $(use_enable pgp pgpinline-plugin)
+ $(use_enable pgp pgpcore-plugin)
+ $(use_enable python python-plugin)
+ $(use_enable rss rssyl-plugin)
+ $(use_enable spamassassin spamassassin-plugin)
+ $(use_enable smime smime-plugin)
+ $(use_enable spam-report spam_report-plugin)
+ $(use_enable webkit fancy-plugin)
+ --enable-new-addrbook
+ --enable-nls
+ --enable-acpi_notifier-plugin
+ --enable-address_keeper-plugin
+ --enable-att_remover-plugin
+ --enable-attachwarner-plugin
+ --enable-fetchinfo-plugin
+ --enable-mailmbox-plugin
+ --enable-newmail-plugin
+ --enable-tnef_parse-plugin
+ --disable-generic-umpc
+ --disable-bsfilter-plugin
+ --disable-geolocation-plugin
+ )
+
+ # libetpan is needed if user wants nntp or imap functionality
+ if use imap || use nntp; then
+ myeconfargs+=( --enable-libetpan )
+ else
+ myeconfargs+=( --disable-libetpan )
+ fi
+
+ autotools-utils_src_configure
+}
+
+src_install() {
+ local DOCS=( AUTHORS ChangeLog* INSTALL* NEWS README* TODO* )
+ autotools-utils_src_install
+
+ # Makefile install claws-mail.png in /usr/share/icons/hicolor/48x48/apps
+ # => also install it in /usr/share/pixmaps for other desktop envs
+ # => also install higher resolution icons in /usr/share/icons/hicolor/...
+ insinto /usr/share/pixmaps
+ doins ${PN}.png || die
+ local res resdir
+ for res in 64x64 128x128 ; do
+ resdir="/usr/share/icons/hicolor/${res}/apps"
+ insinto ${resdir}
+ newins ${PN}-${res}.png ${PN}.png || die
+ done
+
+ docinto tools
+ dodoc tools/README*
+
+ domenu ${PN}.desktop
+
+ einfo "Installing extra tools"
+ cd "${S}"/tools
+ exeinto /usr/$(get_libdir)/${PN}/tools
+ doexe *.pl *.py *.conf *.sh || die
+ doexe tb2claws-mail update-po uudec uuooffice || die
+
+ # kill useless files
+ rm -f "${D}"/usr/lib*/claws-mail/plugins/*.{a,la}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ ewarn "When upgrading from version 3.9.0 or below some changes have happened:"
+ ewarn "- There are no individual plugins in mail-client/claws-mail-* anymore, but they are integrated mostly controlled through USE flags"
+ ewarn "- Plugins with no special dependencies are just built and can be loaded through the interface"
+ ewarn "- The gtkhtml2, dillo and trayicon plugins have been dropped entirely"
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/mail-client/claws-mail/claws-mail-3.9.0-r1.ebuild b/mail-client/claws-mail/claws-mail-3.9.0-r1.ebuild
new file mode 100644
index 00000000000..90b65252fff
--- /dev/null
+++ b/mail-client/claws-mail/claws-mail-3.9.0-r1.ebuild
@@ -0,0 +1,140 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit autotools-utils multilib gnome2-utils eutils
+
+DESCRIPTION="An email client (and news reader) based on GTK+"
+HOMEPAGE="http://www.claws-mail.org/"
+
+SRC_URI="mirror://sourceforge/sylpheed-claws/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="bogofilter crypt dbus dillo doc +imap ipv6 ldap nntp pda session smime spamassassin spell +ssl startup-notification xface"
+
+COMMONDEPEND=">=x11-libs/gtk+-2.20:2
+ pda? ( >=app-pda/jpilot-0.99 )
+ ssl? ( >=net-libs/gnutls-2.2.0 )
+ ldap? ( >=net-nds/openldap-2.0.7 )
+ crypt? ( >=app-crypt/gpgme-0.4.5 )
+ dbus? ( >=dev-libs/dbus-glib-0.60 )
+ dillo? ( www-client/dillo )
+ spell? ( >=app-text/enchant-1.0.0 )
+ imap? ( >=net-libs/libetpan-0.57 )
+ nntp? ( >=net-libs/libetpan-0.57 )
+ startup-notification? ( x11-libs/startup-notification )
+ bogofilter? ( mail-filter/bogofilter )
+ session? ( x11-libs/libSM
+ x11-libs/libICE )
+ smime? ( >=app-crypt/gpgme-0.4.5 )"
+
+DEPEND="${COMMONDEPEND}
+ xface? ( >=media-libs/compface-1.4 )
+ virtual/pkgconfig"
+
+RDEPEND="${COMMONDEPEND}
+ app-misc/mime-types
+ x11-misc/shared-mime-info"
+
+PLUGIN_NAMES="acpi-notifier address_keeper archive att-remover attachwarner clamd fancy fetchinfo geolocation gdata gtkhtml mailmbox newmail notification perl python rssyl spam-report tnef-parse vcalendar"
+
+PATCHES=(
+ "${FILESDIR}"/claws-3.9.0_fix-search-field_part1.patch
+ "${FILESDIR}"/claws-3.9.0_fix-search-field_part2.patch
+ )
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable ipv6)
+ $(use_enable ldap)
+ $(use_enable dbus)
+ $(use_enable pda jpilot)
+ $(use_enable spell enchant)
+ $(use_enable xface compface)
+ $(use_enable doc manual)
+ $(use_enable startup-notification)
+ $(use_enable session libsm)
+ $(use_enable crypt pgpmime-plugin)
+ $(use_enable crypt pgpinline-plugin)
+ $(use_enable crypt pgpcore-plugin)
+ $(use_enable dillo dillo-viewer-plugin)
+ $(use_enable spamassassin spamassassin-plugin)
+ $(use_enable bogofilter bogofilter-plugin)
+ $(use_enable smime smime-plugin)
+ --enable-trayicon-plugin
+ --disable-maemo
+ )
+
+ # libetpan is needed if user wants nntp or imap functionality
+ if use imap || use nntp; then
+ myeconfargs+=( --enable-libetpan )
+ else
+ myeconfargs+=( --disable-libetpan )
+ fi
+
+ if use ssl; then
+ myeconfargs+=( --enable-gnutls )
+ else
+ myeconfargs+=( --disable-gnutls )
+ fi
+
+ autotools-utils_src_configure
+}
+
+src_install() {
+ local DOCS=( AUTHORS ChangeLog* INSTALL* NEWS README* TODO* )
+ autotools-utils_src_install
+
+ # Makefile install claws-mail.png in /usr/share/icons/hicolor/48x48/apps
+ # => also install it in /usr/share/pixmaps for other desktop envs
+ # => also install higher resolution icons in /usr/share/icons/hicolor/...
+ insinto /usr/share/pixmaps
+ doins ${PN}.png || die
+ local res resdir
+ for res in 64x64 128x128 ; do
+ resdir="/usr/share/icons/hicolor/${res}/apps"
+ insinto ${resdir}
+ newins ${PN}-${res}.png ${PN}.png || die
+ done
+
+ docinto tools
+ dodoc tools/README*
+
+ domenu ${PN}.desktop
+
+ einfo "Installing extra tools"
+ cd "${S}"/tools
+ exeinto /usr/$(get_libdir)/${PN}/tools
+ doexe *.pl *.py *.conf *.sh || die
+ doexe tb2claws-mail update-po uudec uuooffice || die
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+
+ UPDATE_PLUGINS=""
+ for x in ${PLUGIN_NAMES}; do
+ has_version mail-client/${PN}-$x && UPDATE_PLUGINS="${UPDATE_PLUGINS} $x"
+ done
+ if [ -n "${UPDATE_PLUGINS}" ]; then
+ elog
+ elog "You have to re-emerge or update the following plugins:"
+ elog
+ for x in ${UPDATE_PLUGINS}; do
+ elog " mail-client/${PN}-$x"
+ done
+ elog
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/mail-client/claws-mail/claws-mail-3.9.0.ebuild b/mail-client/claws-mail/claws-mail-3.9.0.ebuild
new file mode 100644
index 00000000000..ac92d74c67f
--- /dev/null
+++ b/mail-client/claws-mail/claws-mail-3.9.0.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit autotools-utils multilib gnome2-utils eutils
+
+DESCRIPTION="An email client (and news reader) based on GTK+"
+HOMEPAGE="http://www.claws-mail.org/"
+
+SRC_URI="mirror://sourceforge/sylpheed-claws/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="alpha amd64 ~arm hppa ~mips ppc ppc64 sparc x86 ~x86-fbsd"
+IUSE="bogofilter crypt dbus dillo doc +imap ipv6 ldap nntp pda session smime spamassassin spell +ssl startup-notification xface"
+
+COMMONDEPEND=">=x11-libs/gtk+-2.20:2
+ pda? ( >=app-pda/jpilot-0.99 )
+ ssl? ( >=net-libs/gnutls-2.2.0 )
+ ldap? ( >=net-nds/openldap-2.0.7 )
+ crypt? ( >=app-crypt/gpgme-0.4.5 )
+ dbus? ( >=dev-libs/dbus-glib-0.60 )
+ dillo? ( www-client/dillo )
+ spell? ( >=app-text/enchant-1.0.0 )
+ imap? ( >=net-libs/libetpan-0.57 )
+ nntp? ( >=net-libs/libetpan-0.57 )
+ startup-notification? ( x11-libs/startup-notification )
+ bogofilter? ( mail-filter/bogofilter )
+ session? ( x11-libs/libSM
+ x11-libs/libICE )
+ smime? ( >=app-crypt/gpgme-0.4.5 )"
+
+DEPEND="${COMMONDEPEND}
+ xface? ( >=media-libs/compface-1.4 )
+ virtual/pkgconfig"
+
+RDEPEND="${COMMONDEPEND}
+ app-misc/mime-types
+ x11-misc/shared-mime-info"
+
+PLUGIN_NAMES="acpi-notifier address_keeper archive att-remover attachwarner clamd fancy fetchinfo geolocation gdata gtkhtml mailmbox newmail notification perl python rssyl spam_report tnef_parse vcalendar"
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable ipv6)
+ $(use_enable ldap)
+ $(use_enable dbus)
+ $(use_enable pda jpilot)
+ $(use_enable spell enchant)
+ $(use_enable xface compface)
+ $(use_enable doc manual)
+ $(use_enable startup-notification)
+ $(use_enable session libsm)
+ $(use_enable crypt pgpmime-plugin)
+ $(use_enable crypt pgpinline-plugin)
+ $(use_enable crypt pgpcore-plugin)
+ $(use_enable dillo dillo-viewer-plugin)
+ $(use_enable spamassassin spamassassin-plugin)
+ $(use_enable bogofilter bogofilter-plugin)
+ $(use_enable smime smime-plugin)
+ --enable-trayicon-plugin
+ --disable-maemo
+ )
+
+ # libetpan is needed if user wants nntp or imap functionality
+ if use imap || use nntp; then
+ myeconfargs+=( --enable-libetpan )
+ else
+ myeconfargs+=( --disable-libetpan )
+ fi
+
+ if use ssl; then
+ myeconfargs+=( --enable-gnutls )
+ else
+ myeconfargs+=( --disable-gnutls )
+ fi
+
+ autotools-utils_src_configure
+}
+
+src_install() {
+ local DOCS=( AUTHORS ChangeLog* INSTALL* NEWS README* TODO* )
+ autotools-utils_src_install
+
+ # Makefile install claws-mail.png in /usr/share/icons/hicolor/48x48/apps
+ # => also install it in /usr/share/pixmaps for other desktop envs
+ # => also install higher resolution icons in /usr/share/icons/hicolor/...
+ insinto /usr/share/pixmaps
+ doins ${PN}.png || die
+ local res resdir
+ for res in 64x64 128x128 ; do
+ resdir="/usr/share/icons/hicolor/${res}/apps"
+ insinto ${resdir}
+ newins ${PN}-${res}.png ${PN}.png || die
+ done
+
+ docinto tools
+ dodoc tools/README*
+
+ domenu ${PN}.desktop
+
+ einfo "Installing extra tools"
+ cd "${S}"/tools
+ exeinto /usr/$(get_libdir)/${PN}/tools
+ doexe *.pl *.py *.conf *.sh || die
+ doexe tb2claws-mail update-po uudec uuooffice || die
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+
+ UPDATE_PLUGINS=""
+ for x in ${PLUGIN_NAMES}; do
+ has_version mail-client/${PN}-$x && UPDATE_PLUGINS="${UPDATE_PLUGINS} $x"
+ done
+ if [ -n "${UPDATE_PLUGINS}" ]; then
+ elog
+ elog "You have to re-emerge or update the following plugins:"
+ elog
+ for x in ${UPDATE_PLUGINS}; do
+ elog " mail-client/${PN}-$x"
+ done
+ elog
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/mail-client/claws-mail/claws-mail-3.9.1-r1.ebuild b/mail-client/claws-mail/claws-mail-3.9.1-r1.ebuild
new file mode 100644
index 00000000000..fd5ef182a42
--- /dev/null
+++ b/mail-client/claws-mail/claws-mail-3.9.1-r1.ebuild
@@ -0,0 +1,210 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+AUTOTOOLS_AUTORECONF=yes
+
+inherit autotools-utils multilib gnome2-utils eutils python-single-r1
+
+DESCRIPTION="An email client (and news reader) based on GTK+"
+HOMEPAGE="http://www.claws-mail.org/"
+
+SRC_URI="mirror://sourceforge/sylpheed-claws/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="archive bogofilter calendar clamav dbus debug doc gdata gtk3 +imap ipv6 ldap +libcanberra +libindicate +libnotify networkmanager nntp +notification pda pdf perl +pgp python rss session smime spamassassin spam-report spell +gnutls startup-notification valgrind webkit xface"
+REQUIRED_USE="networkmanager? ( dbus )
+ smime? ( pgp )
+ libcanberra? ( notification )
+ libindicate? ( notification )
+ libnotify? ( notification )"
+
+# Plugins are all integrated or dropped since 3.9.1
+PLUGINBLOCK="!!mail-client/claws-mail-acpi-notifier
+ !!mail-client/claws-mail-archive
+ !!mail-client/claws-mail-att-remover
+ !!mail-client/claws-mail-attachwarner
+ !!mail-client/claws-mail-clamd
+ !!mail-client/claws-mail-fancy
+ !!mail-client/claws-mail-fetchinfo
+ !mail-client/claws-mail-gdata
+ !!mail-client/claws-mail-geolocation
+ !!mail-client/claws-mail-gtkhtml
+ !!mail-client/claws-mail-mailmbox
+ !!mail-client/claws-mail-newmail
+ !!mail-client/claws-mail-notification
+ !!mail-client/claws-mail-perl
+ !!mail-client/claws-mail-python
+ !!mail-client/claws-mail-rssyl
+ !!mail-client/claws-mail-spam-report
+ !!mail-client/claws-mail-tnef-parse
+ !!mail-client/claws-mail-vcalendar
+ !!mail-client/claws-mail-address_keeper
+ !!mail-client/claws-mail-pdf-viewer"
+
+COMMONDEPEND=">=sys-devel/gettext-0.12.1
+ gdata? ( >=dev-libs/libgdata-0.6.4 )
+ gtk3? ( x11-libs/gtk+:3 )
+ !gtk3? ( >=x11-libs/gtk+-2.20:2 )
+ pda? ( >=app-pda/jpilot-0.99 )
+ gnutls? ( >=net-libs/gnutls-2.2.0 )
+ ldap? ( >=net-nds/openldap-2.0.7 )
+ pgp? ( >=app-crypt/gpgme-0.4.5 )
+ valgrind? ( dev-util/valgrind )
+ dbus? ( >=dev-libs/dbus-glib-0.60 )
+ spell? ( >=app-text/enchant-1.0.0 )
+ imap? ( >=net-libs/libetpan-0.57 )
+ nntp? ( >=net-libs/libetpan-0.57 )
+ startup-notification? ( x11-libs/startup-notification )
+ session? ( x11-libs/libSM
+ x11-libs/libICE )
+ archive? ( app-arch/libarchive
+ >=net-misc/curl-7.9.7 )
+ bogofilter? ( mail-filter/bogofilter )
+ notification? (
+ libnotify? ( x11-libs/libnotify )
+ libcanberra? ( media-libs/libcanberra[gtk] )
+ libindicate? ( dev-libs/libindicate:3[gtk] )
+ dev-libs/glib
+ )
+ smime? ( >=app-crypt/gpgme-0.4.5 )
+ calendar? ( >=net-misc/curl-7.9.7 )
+ pdf? ( app-text/poppler:=[cairo] )
+ spam-report? ( >=net-misc/curl-7.9.7 )
+ webkit? ( >=net-libs/webkit-gtk-1.0:2
+ >=net-libs/libsoup-gnome-2.26:2.4 )
+"
+
+DEPEND="${PLUGINBLOCK}
+ ${COMMONDEPEND}
+ xface? ( >=media-libs/compface-1.4 )
+ virtual/pkgconfig"
+
+RDEPEND="${COMMONDEPEND}
+ pdf? ( app-text/ghostscript-gpl )
+ clamav? ( app-antivirus/clamav )
+ networkmanager? ( net-misc/networkmanager )
+ perl? ( dev-lang/perl )
+ python? ( ${PYTHON_DEPS}
+ >=dev-python/pygtk-2.10.3 )
+ rss? ( net-misc/curl
+ dev-libs/libxml2 )
+ app-misc/mime-types
+ x11-misc/shared-mime-info"
+
+PATCHES=(
+ "${FILESDIR}/${P}_libsoup-check-fix.patch"
+ "${FILESDIR}/${P}_fix-nntp-segfault.patch"
+)
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug crash-dialog)
+ $(use_enable valgrind valgrind)
+ $(use_enable doc manual)
+ $(use_enable gtk3)
+ $(use_enable ipv6)
+ $(use_enable ldap)
+ $(use_enable dbus dbus)
+ $(use_enable networkmanager)
+ $(use_enable pda jpilot)
+ $(use_enable session libsm)
+ $(use_enable spell enchant)
+ $(use_enable gnutls)
+ $(use_enable startup-notification)
+ $(use_enable xface compface)
+ $(use_enable archive archive-plugin)
+ $(use_enable bogofilter bogofilter-plugin)
+ $(use_enable calendar vcalendar-plugin)
+ $(use_enable clamav clamd-plugin)
+ $(use_enable gdata gdata-plugin)
+ $(use_enable notification notification-plugin)
+ $(use_enable pdf pdf_viewer-plugin)
+ $(use_enable perl perl-plugin)
+ $(use_enable pgp pgpmime-plugin)
+ $(use_enable pgp pgpinline-plugin)
+ $(use_enable pgp pgpcore-plugin)
+ $(use_enable python python-plugin)
+ $(use_enable rss rssyl-plugin)
+ $(use_enable spamassassin spamassassin-plugin)
+ $(use_enable smime smime-plugin)
+ $(use_enable spam-report spam_report-plugin)
+ $(use_enable webkit fancy-plugin)
+ --enable-new-addrbook
+ --enable-nls
+ --enable-acpi_notifier-plugin
+ --enable-address_keeper-plugin
+ --enable-att_remover-plugin
+ --enable-attachwarner-plugin
+ --enable-fetchinfo-plugin
+ --enable-mailmbox-plugin
+ --enable-newmail-plugin
+ --enable-tnef_parse-plugin
+ --disable-generic-umpc
+ --disable-maemo
+ --disable-bsfilter-plugin
+ --disable-geolocation-plugin
+ )
+
+ # libetpan is needed if user wants nntp or imap functionality
+ if use imap || use nntp; then
+ myeconfargs+=( --enable-libetpan )
+ else
+ myeconfargs+=( --disable-libetpan )
+ fi
+
+ autotools-utils_src_configure
+}
+
+src_install() {
+ local DOCS=( AUTHORS ChangeLog* INSTALL* NEWS README* TODO* )
+ autotools-utils_src_install
+
+ # Makefile install claws-mail.png in /usr/share/icons/hicolor/48x48/apps
+ # => also install it in /usr/share/pixmaps for other desktop envs
+ # => also install higher resolution icons in /usr/share/icons/hicolor/...
+ insinto /usr/share/pixmaps
+ doins ${PN}.png || die
+ local res resdir
+ for res in 64x64 128x128 ; do
+ resdir="/usr/share/icons/hicolor/${res}/apps"
+ insinto ${resdir}
+ newins ${PN}-${res}.png ${PN}.png || die
+ done
+
+ docinto tools
+ dodoc tools/README*
+
+ domenu ${PN}.desktop
+
+ einfo "Installing extra tools"
+ cd "${S}"/tools
+ exeinto /usr/$(get_libdir)/${PN}/tools
+ doexe *.pl *.py *.conf *.sh || die
+ doexe tb2claws-mail update-po uudec uuooffice || die
+
+ # kill useless files
+ rm -f "${D}"/usr/lib*/claws-mail/plugins/*.{a,la}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ ewarn "When upgrading from version 3.9.0 or below some changes have happened:"
+ ewarn "- There are no individual plugins in mail-client/claws-mail-* anymore, but they are integrated mostly controlled through USE flags"
+ ewarn "- Plugins with no special dependencies are just built and can be loaded through the interface"
+ ewarn "- The gtkhtml2, dillo and trayicon plugins have been dropped entirely"
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/mail-client/claws-mail/claws-mail-3.9.1.ebuild b/mail-client/claws-mail/claws-mail-3.9.1.ebuild
new file mode 100644
index 00000000000..54fb0d69c9e
--- /dev/null
+++ b/mail-client/claws-mail/claws-mail-3.9.1.ebuild
@@ -0,0 +1,207 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+AUTOTOOLS_AUTORECONF=yes
+
+inherit autotools-utils multilib gnome2-utils eutils python-single-r1
+
+DESCRIPTION="An email client (and news reader) based on GTK+"
+HOMEPAGE="http://www.claws-mail.org/"
+
+SRC_URI="mirror://sourceforge/sylpheed-claws/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="archive bogofilter calendar clamav dbus debug doc gdata gtk3 +imap ipv6 ldap +libcanberra +libindicate +libnotify networkmanager nntp +notification pda pdf perl +pgp python rss session smime spamassassin spam-report spell +gnutls startup-notification valgrind webkit xface"
+REQUIRED_USE="networkmanager? ( dbus )
+ smime? ( pgp )
+ libcanberra? ( notification )
+ libindicate? ( notification )
+ libnotify? ( notification )"
+
+# Plugins are all integrated or dropped since 3.9.1
+PLUGINBLOCK="!!mail-client/claws-mail-acpi-notifier
+ !!mail-client/claws-mail-archive
+ !!mail-client/claws-mail-att-remover
+ !!mail-client/claws-mail-attachwarner
+ !!mail-client/claws-mail-clamd
+ !!mail-client/claws-mail-fancy
+ !!mail-client/claws-mail-fetchinfo
+ !mail-client/claws-mail-gdata
+ !!mail-client/claws-mail-geolocation
+ !!mail-client/claws-mail-gtkhtml
+ !!mail-client/claws-mail-mailmbox
+ !!mail-client/claws-mail-newmail
+ !!mail-client/claws-mail-notification
+ !!mail-client/claws-mail-perl
+ !!mail-client/claws-mail-python
+ !!mail-client/claws-mail-rssyl
+ !!mail-client/claws-mail-spam-report
+ !!mail-client/claws-mail-tnef-parse
+ !!mail-client/claws-mail-vcalendar
+ !!mail-client/claws-mail-address_keeper
+ !!mail-client/claws-mail-pdf-viewer"
+
+COMMONDEPEND=">=sys-devel/gettext-0.12.1
+ gdata? ( >=dev-libs/libgdata-0.6.4 )
+ gtk3? ( x11-libs/gtk+:3 )
+ !gtk3? ( >=x11-libs/gtk+-2.20:2 )
+ pda? ( >=app-pda/jpilot-0.99 )
+ gnutls? ( >=net-libs/gnutls-2.2.0 )
+ ldap? ( >=net-nds/openldap-2.0.7 )
+ pgp? ( >=app-crypt/gpgme-0.4.5 )
+ valgrind? ( dev-util/valgrind )
+ dbus? ( >=dev-libs/dbus-glib-0.60 )
+ spell? ( >=app-text/enchant-1.0.0 )
+ imap? ( >=net-libs/libetpan-0.57 )
+ nntp? ( >=net-libs/libetpan-0.57 )
+ startup-notification? ( x11-libs/startup-notification )
+ session? ( x11-libs/libSM
+ x11-libs/libICE )
+ archive? ( app-arch/libarchive
+ >=net-misc/curl-7.9.7 )
+ bogofilter? ( mail-filter/bogofilter )
+ notification? (
+ libnotify? ( x11-libs/libnotify )
+ libcanberra? ( media-libs/libcanberra[gtk] )
+ libindicate? ( dev-libs/libindicate:3[gtk] )
+ dev-libs/glib
+ )
+ smime? ( >=app-crypt/gpgme-0.4.5 )
+ calendar? ( >=net-misc/curl-7.9.7 )
+ pdf? ( app-text/poppler:=[cairo] )
+ spam-report? ( >=net-misc/curl-7.9.7 )
+ webkit? ( >=net-libs/webkit-gtk-1.0:2
+ >=net-libs/libsoup-gnome-2.26:2.4 )
+"
+
+DEPEND="${PLUGINBLOCK}
+ ${COMMONDEPEND}
+ xface? ( >=media-libs/compface-1.4 )
+ virtual/pkgconfig"
+
+RDEPEND="${COMMONDEPEND}
+ pdf? ( app-text/ghostscript-gpl )
+ clamav? ( app-antivirus/clamav )
+ networkmanager? ( net-misc/networkmanager )
+ perl? ( dev-lang/perl )
+ python? ( ${PYTHON_DEPS}
+ >=dev-python/pygtk-2.10.3 )
+ rss? ( net-misc/curl
+ dev-libs/libxml2 )
+ app-misc/mime-types
+ x11-misc/shared-mime-info"
+
+PATCHES=( "${FILESDIR}/${P}_libsoup-check-fix.patch" )
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug crash-dialog)
+ $(use_enable valgrind valgrind)
+ $(use_enable doc manual)
+ $(use_enable gtk3)
+ $(use_enable ipv6)
+ $(use_enable ldap)
+ $(use_enable dbus dbus)
+ $(use_enable networkmanager)
+ $(use_enable pda jpilot)
+ $(use_enable session libsm)
+ $(use_enable spell enchant)
+ $(use_enable gnutls)
+ $(use_enable startup-notification)
+ $(use_enable xface compface)
+ $(use_enable archive archive-plugin)
+ $(use_enable bogofilter bogofilter-plugin)
+ $(use_enable calendar vcalendar-plugin)
+ $(use_enable clamav clamd-plugin)
+ $(use_enable gdata gdata-plugin)
+ $(use_enable notification notification-plugin)
+ $(use_enable pdf pdf_viewer-plugin)
+ $(use_enable perl perl-plugin)
+ $(use_enable pgp pgpmime-plugin)
+ $(use_enable pgp pgpinline-plugin)
+ $(use_enable pgp pgpcore-plugin)
+ $(use_enable python python-plugin)
+ $(use_enable rss rssyl-plugin)
+ $(use_enable spamassassin spamassassin-plugin)
+ $(use_enable smime smime-plugin)
+ $(use_enable spam-report spam_report-plugin)
+ $(use_enable webkit fancy-plugin)
+ --enable-new-addrbook
+ --enable-nls
+ --enable-acpi_notifier-plugin
+ --enable-address_keeper-plugin
+ --enable-att_remover-plugin
+ --enable-attachwarner-plugin
+ --enable-fetchinfo-plugin
+ --enable-mailmbox-plugin
+ --enable-newmail-plugin
+ --enable-tnef_parse-plugin
+ --disable-generic-umpc
+ --disable-maemo
+ --disable-bsfilter-plugin
+ --disable-geolocation-plugin
+ )
+
+ # libetpan is needed if user wants nntp or imap functionality
+ if use imap || use nntp; then
+ myeconfargs+=( --enable-libetpan )
+ else
+ myeconfargs+=( --disable-libetpan )
+ fi
+
+ autotools-utils_src_configure
+}
+
+src_install() {
+ local DOCS=( AUTHORS ChangeLog* INSTALL* NEWS README* TODO* )
+ autotools-utils_src_install
+
+ # Makefile install claws-mail.png in /usr/share/icons/hicolor/48x48/apps
+ # => also install it in /usr/share/pixmaps for other desktop envs
+ # => also install higher resolution icons in /usr/share/icons/hicolor/...
+ insinto /usr/share/pixmaps
+ doins ${PN}.png || die
+ local res resdir
+ for res in 64x64 128x128 ; do
+ resdir="/usr/share/icons/hicolor/${res}/apps"
+ insinto ${resdir}
+ newins ${PN}-${res}.png ${PN}.png || die
+ done
+
+ docinto tools
+ dodoc tools/README*
+
+ domenu ${PN}.desktop
+
+ einfo "Installing extra tools"
+ cd "${S}"/tools
+ exeinto /usr/$(get_libdir)/${PN}/tools
+ doexe *.pl *.py *.conf *.sh || die
+ doexe tb2claws-mail update-po uudec uuooffice || die
+
+ # kill useless files
+ rm -f "${D}"/usr/lib*/claws-mail/plugins/*.{a,la}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ ewarn "When upgrading from version 3.9.0 or below some changes have happened:"
+ ewarn "- There are no individual plugins in mail-client/claws-mail-* anymore, but they are integrated mostly controlled through USE flags"
+ ewarn "- Plugins with no special dependencies are just built and can be loaded through the interface"
+ ewarn "- The gtkhtml2, dillo and trayicon plugins have been dropped entirely"
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/mail-client/claws-mail/claws-mail-3.9.2.ebuild b/mail-client/claws-mail/claws-mail-3.9.2.ebuild
new file mode 100644
index 00000000000..2bf44f6d3cd
--- /dev/null
+++ b/mail-client/claws-mail/claws-mail-3.9.2.ebuild
@@ -0,0 +1,205 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+AUTOTOOLS_AUTORECONF=yes
+
+inherit autotools-utils multilib gnome2-utils eutils python-single-r1
+
+DESCRIPTION="An email client (and news reader) based on GTK+"
+HOMEPAGE="http://www.claws-mail.org/"
+
+SRC_URI="mirror://sourceforge/sylpheed-claws/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="archive bogofilter calendar clamav dbus debug doc gdata gtk3 +imap ipv6 ldap +libcanberra +libindicate +libnotify networkmanager nntp +notification pda pdf perl +pgp python rss session smime spamassassin spam-report spell +gnutls startup-notification valgrind webkit xface"
+REQUIRED_USE="networkmanager? ( dbus )
+ smime? ( pgp )
+ libcanberra? ( notification )
+ libindicate? ( notification )
+ libnotify? ( notification )"
+
+# Plugins are all integrated or dropped since 3.9.1
+PLUGINBLOCK="!!mail-client/claws-mail-acpi-notifier
+ !!mail-client/claws-mail-archive
+ !!mail-client/claws-mail-att-remover
+ !!mail-client/claws-mail-attachwarner
+ !!mail-client/claws-mail-clamd
+ !!mail-client/claws-mail-fancy
+ !!mail-client/claws-mail-fetchinfo
+ !mail-client/claws-mail-gdata
+ !!mail-client/claws-mail-geolocation
+ !!mail-client/claws-mail-gtkhtml
+ !!mail-client/claws-mail-mailmbox
+ !!mail-client/claws-mail-newmail
+ !!mail-client/claws-mail-notification
+ !!mail-client/claws-mail-perl
+ !!mail-client/claws-mail-python
+ !!mail-client/claws-mail-rssyl
+ !!mail-client/claws-mail-spam-report
+ !!mail-client/claws-mail-tnef-parse
+ !!mail-client/claws-mail-vcalendar
+ !!mail-client/claws-mail-address_keeper
+ !!mail-client/claws-mail-pdf-viewer"
+
+COMMONDEPEND=">=sys-devel/gettext-0.12.1
+ gdata? ( >=dev-libs/libgdata-0.6.4 )
+ gtk3? ( x11-libs/gtk+:3 )
+ !gtk3? ( >=x11-libs/gtk+-2.20:2 )
+ pda? ( >=app-pda/jpilot-0.99 )
+ gnutls? ( >=net-libs/gnutls-2.2.0 )
+ ldap? ( >=net-nds/openldap-2.0.7 )
+ pgp? ( >=app-crypt/gpgme-0.4.5 )
+ valgrind? ( dev-util/valgrind )
+ dbus? ( >=dev-libs/dbus-glib-0.60 )
+ spell? ( >=app-text/enchant-1.0.0 )
+ imap? ( >=net-libs/libetpan-0.57 )
+ nntp? ( >=net-libs/libetpan-0.57 )
+ startup-notification? ( x11-libs/startup-notification )
+ session? ( x11-libs/libSM
+ x11-libs/libICE )
+ archive? ( app-arch/libarchive
+ >=net-misc/curl-7.9.7 )
+ bogofilter? ( mail-filter/bogofilter )
+ notification? (
+ libnotify? ( x11-libs/libnotify )
+ libcanberra? ( media-libs/libcanberra[gtk] )
+ libindicate? ( dev-libs/libindicate:3[gtk] )
+ dev-libs/glib
+ )
+ smime? ( >=app-crypt/gpgme-0.4.5 )
+ calendar? ( >=net-misc/curl-7.9.7 )
+ pdf? ( app-text/poppler:=[cairo] )
+ spam-report? ( >=net-misc/curl-7.9.7 )
+ webkit? ( >=net-libs/webkit-gtk-1.0:2
+ >=net-libs/libsoup-gnome-2.26:2.4 )
+"
+
+DEPEND="${PLUGINBLOCK}
+ ${COMMONDEPEND}
+ xface? ( >=media-libs/compface-1.4 )
+ virtual/pkgconfig"
+
+RDEPEND="${COMMONDEPEND}
+ pdf? ( app-text/ghostscript-gpl )
+ clamav? ( app-antivirus/clamav )
+ networkmanager? ( net-misc/networkmanager )
+ perl? ( dev-lang/perl )
+ python? ( ${PYTHON_DEPS}
+ >=dev-python/pygtk-2.10.3 )
+ rss? ( net-misc/curl
+ dev-libs/libxml2 )
+ app-misc/mime-types
+ x11-misc/shared-mime-info"
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug crash-dialog)
+ $(use_enable valgrind valgrind)
+ $(use_enable doc manual)
+ $(use_enable gtk3)
+ $(use_enable ipv6)
+ $(use_enable ldap)
+ $(use_enable dbus dbus)
+ $(use_enable networkmanager)
+ $(use_enable pda jpilot)
+ $(use_enable session libsm)
+ $(use_enable spell enchant)
+ $(use_enable gnutls)
+ $(use_enable startup-notification)
+ $(use_enable xface compface)
+ $(use_enable archive archive-plugin)
+ $(use_enable bogofilter bogofilter-plugin)
+ $(use_enable calendar vcalendar-plugin)
+ $(use_enable clamav clamd-plugin)
+ $(use_enable gdata gdata-plugin)
+ $(use_enable notification notification-plugin)
+ $(use_enable pdf pdf_viewer-plugin)
+ $(use_enable perl perl-plugin)
+ $(use_enable pgp pgpmime-plugin)
+ $(use_enable pgp pgpinline-plugin)
+ $(use_enable pgp pgpcore-plugin)
+ $(use_enable python python-plugin)
+ $(use_enable rss rssyl-plugin)
+ $(use_enable spamassassin spamassassin-plugin)
+ $(use_enable smime smime-plugin)
+ $(use_enable spam-report spam_report-plugin)
+ $(use_enable webkit fancy-plugin)
+ --enable-new-addrbook
+ --enable-nls
+ --enable-acpi_notifier-plugin
+ --enable-address_keeper-plugin
+ --enable-att_remover-plugin
+ --enable-attachwarner-plugin
+ --enable-fetchinfo-plugin
+ --enable-mailmbox-plugin
+ --enable-newmail-plugin
+ --enable-tnef_parse-plugin
+ --disable-generic-umpc
+ --disable-maemo
+ --disable-bsfilter-plugin
+ --disable-geolocation-plugin
+ )
+
+ # libetpan is needed if user wants nntp or imap functionality
+ if use imap || use nntp; then
+ myeconfargs+=( --enable-libetpan )
+ else
+ myeconfargs+=( --disable-libetpan )
+ fi
+
+ autotools-utils_src_configure
+}
+
+src_install() {
+ local DOCS=( AUTHORS ChangeLog* INSTALL* NEWS README* TODO* )
+ autotools-utils_src_install
+
+ # Makefile install claws-mail.png in /usr/share/icons/hicolor/48x48/apps
+ # => also install it in /usr/share/pixmaps for other desktop envs
+ # => also install higher resolution icons in /usr/share/icons/hicolor/...
+ insinto /usr/share/pixmaps
+ doins ${PN}.png || die
+ local res resdir
+ for res in 64x64 128x128 ; do
+ resdir="/usr/share/icons/hicolor/${res}/apps"
+ insinto ${resdir}
+ newins ${PN}-${res}.png ${PN}.png || die
+ done
+
+ docinto tools
+ dodoc tools/README*
+
+ domenu ${PN}.desktop
+
+ einfo "Installing extra tools"
+ cd "${S}"/tools
+ exeinto /usr/$(get_libdir)/${PN}/tools
+ doexe *.pl *.py *.conf *.sh || die
+ doexe tb2claws-mail update-po uudec uuooffice || die
+
+ # kill useless files
+ rm -f "${D}"/usr/lib*/claws-mail/plugins/*.{a,la}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ ewarn "When upgrading from version 3.9.0 or below some changes have happened:"
+ ewarn "- There are no individual plugins in mail-client/claws-mail-* anymore, but they are integrated mostly controlled through USE flags"
+ ewarn "- Plugins with no special dependencies are just built and can be loaded through the interface"
+ ewarn "- The gtkhtml2, dillo and trayicon plugins have been dropped entirely"
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/mail-client/claws-mail/claws-mail-3.9.3.ebuild b/mail-client/claws-mail/claws-mail-3.9.3.ebuild
new file mode 100644
index 00000000000..2a5d84680d5
--- /dev/null
+++ b/mail-client/claws-mail/claws-mail-3.9.3.ebuild
@@ -0,0 +1,204 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_7 )
+AUTOTOOLS_AUTORECONF=yes
+
+inherit autotools-utils multilib gnome2-utils eutils python-single-r1
+
+DESCRIPTION="An email client (and news reader) based on GTK+"
+HOMEPAGE="http://www.claws-mail.org/"
+
+SRC_URI="mirror://sourceforge/sylpheed-claws/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="archive bogofilter calendar clamav dbus debug doc gdata gtk3 +imap ipv6 ldap +libcanberra +libindicate +libnotify networkmanager nntp +notification pda pdf perl +pgp python rss session smime spamassassin spam-report spell +gnutls startup-notification valgrind webkit xface"
+REQUIRED_USE="networkmanager? ( dbus )
+ smime? ( pgp )
+ libcanberra? ( notification )
+ libindicate? ( notification )
+ libnotify? ( notification )"
+
+# Plugins are all integrated or dropped since 3.9.1
+PLUGINBLOCK="!!mail-client/claws-mail-acpi-notifier
+ !!mail-client/claws-mail-archive
+ !!mail-client/claws-mail-att-remover
+ !!mail-client/claws-mail-attachwarner
+ !!mail-client/claws-mail-clamd
+ !!mail-client/claws-mail-fancy
+ !!mail-client/claws-mail-fetchinfo
+ !mail-client/claws-mail-gdata
+ !!mail-client/claws-mail-geolocation
+ !!mail-client/claws-mail-gtkhtml
+ !!mail-client/claws-mail-mailmbox
+ !!mail-client/claws-mail-newmail
+ !!mail-client/claws-mail-notification
+ !!mail-client/claws-mail-perl
+ !!mail-client/claws-mail-python
+ !!mail-client/claws-mail-rssyl
+ !!mail-client/claws-mail-spam-report
+ !!mail-client/claws-mail-tnef-parse
+ !!mail-client/claws-mail-vcalendar
+ !!mail-client/claws-mail-address_keeper
+ !!mail-client/claws-mail-pdf-viewer"
+
+COMMONDEPEND=">=sys-devel/gettext-0.12.1
+ gdata? ( >=dev-libs/libgdata-0.6.4 )
+ gtk3? ( x11-libs/gtk+:3 )
+ !gtk3? ( >=x11-libs/gtk+-2.20:2 )
+ pda? ( >=app-pda/jpilot-0.99 )
+ gnutls? ( >=net-libs/gnutls-2.2.0 )
+ ldap? ( >=net-nds/openldap-2.0.7 )
+ pgp? ( >=app-crypt/gpgme-0.4.5 )
+ valgrind? ( dev-util/valgrind )
+ dbus? ( >=dev-libs/dbus-glib-0.60 )
+ spell? ( >=app-text/enchant-1.0.0 )
+ imap? ( >=net-libs/libetpan-0.57 )
+ nntp? ( >=net-libs/libetpan-0.57 )
+ startup-notification? ( x11-libs/startup-notification )
+ session? ( x11-libs/libSM
+ x11-libs/libICE )
+ archive? ( app-arch/libarchive
+ >=net-misc/curl-7.9.7 )
+ bogofilter? ( mail-filter/bogofilter )
+ notification? (
+ libnotify? ( x11-libs/libnotify )
+ libcanberra? ( media-libs/libcanberra[gtk] )
+ libindicate? ( dev-libs/libindicate:3[gtk] )
+ dev-libs/glib
+ )
+ smime? ( >=app-crypt/gpgme-0.4.5 )
+ calendar? ( >=net-misc/curl-7.9.7 )
+ pdf? ( app-text/poppler:=[cairo] )
+ spam-report? ( >=net-misc/curl-7.9.7 )
+ webkit? ( >=net-libs/webkit-gtk-1.0:2
+ >=net-libs/libsoup-gnome-2.26:2.4 )
+"
+
+DEPEND="${PLUGINBLOCK}
+ ${COMMONDEPEND}
+ xface? ( >=media-libs/compface-1.4 )
+ virtual/pkgconfig"
+
+RDEPEND="${COMMONDEPEND}
+ pdf? ( app-text/ghostscript-gpl )
+ clamav? ( app-antivirus/clamav )
+ networkmanager? ( net-misc/networkmanager )
+ perl? ( dev-lang/perl )
+ python? ( ${PYTHON_DEPS}
+ >=dev-python/pygtk-2.10.3 )
+ rss? ( net-misc/curl
+ dev-libs/libxml2 )
+ app-misc/mime-types
+ x11-misc/shared-mime-info"
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug crash-dialog)
+ $(use_enable valgrind valgrind)
+ $(use_enable doc manual)
+ $(use_enable gtk3)
+ $(use_enable ipv6)
+ $(use_enable ldap)
+ $(use_enable dbus dbus)
+ $(use_enable networkmanager)
+ $(use_enable pda jpilot)
+ $(use_enable session libsm)
+ $(use_enable spell enchant)
+ $(use_enable gnutls)
+ $(use_enable startup-notification)
+ $(use_enable xface compface)
+ $(use_enable archive archive-plugin)
+ $(use_enable bogofilter bogofilter-plugin)
+ $(use_enable calendar vcalendar-plugin)
+ $(use_enable clamav clamd-plugin)
+ $(use_enable gdata gdata-plugin)
+ $(use_enable notification notification-plugin)
+ $(use_enable pdf pdf_viewer-plugin)
+ $(use_enable perl perl-plugin)
+ $(use_enable pgp pgpmime-plugin)
+ $(use_enable pgp pgpinline-plugin)
+ $(use_enable pgp pgpcore-plugin)
+ $(use_enable python python-plugin)
+ $(use_enable rss rssyl-plugin)
+ $(use_enable spamassassin spamassassin-plugin)
+ $(use_enable smime smime-plugin)
+ $(use_enable spam-report spam_report-plugin)
+ $(use_enable webkit fancy-plugin)
+ --enable-new-addrbook
+ --enable-nls
+ --enable-acpi_notifier-plugin
+ --enable-address_keeper-plugin
+ --enable-att_remover-plugin
+ --enable-attachwarner-plugin
+ --enable-fetchinfo-plugin
+ --enable-mailmbox-plugin
+ --enable-newmail-plugin
+ --enable-tnef_parse-plugin
+ --disable-generic-umpc
+ --disable-bsfilter-plugin
+ --disable-geolocation-plugin
+ )
+
+ # libetpan is needed if user wants nntp or imap functionality
+ if use imap || use nntp; then
+ myeconfargs+=( --enable-libetpan )
+ else
+ myeconfargs+=( --disable-libetpan )
+ fi
+
+ autotools-utils_src_configure
+}
+
+src_install() {
+ local DOCS=( AUTHORS ChangeLog* INSTALL* NEWS README* TODO* )
+ autotools-utils_src_install
+
+ # Makefile install claws-mail.png in /usr/share/icons/hicolor/48x48/apps
+ # => also install it in /usr/share/pixmaps for other desktop envs
+ # => also install higher resolution icons in /usr/share/icons/hicolor/...
+ insinto /usr/share/pixmaps
+ doins ${PN}.png || die
+ local res resdir
+ for res in 64x64 128x128 ; do
+ resdir="/usr/share/icons/hicolor/${res}/apps"
+ insinto ${resdir}
+ newins ${PN}-${res}.png ${PN}.png || die
+ done
+
+ docinto tools
+ dodoc tools/README*
+
+ domenu ${PN}.desktop
+
+ einfo "Installing extra tools"
+ cd "${S}"/tools
+ exeinto /usr/$(get_libdir)/${PN}/tools
+ doexe *.pl *.py *.conf *.sh || die
+ doexe tb2claws-mail update-po uudec uuooffice || die
+
+ # kill useless files
+ rm -f "${D}"/usr/lib*/claws-mail/plugins/*.{a,la}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ ewarn "When upgrading from version 3.9.0 or below some changes have happened:"
+ ewarn "- There are no individual plugins in mail-client/claws-mail-* anymore, but they are integrated mostly controlled through USE flags"
+ ewarn "- Plugins with no special dependencies are just built and can be loaded through the interface"
+ ewarn "- The gtkhtml2, dillo and trayicon plugins have been dropped entirely"
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/mail-client/claws-mail/files/claws-3.9.0_fix-search-field_part1.patch b/mail-client/claws-mail/files/claws-3.9.0_fix-search-field_part1.patch
new file mode 100644
index 00000000000..0bdadd68da2
--- /dev/null
+++ b/mail-client/claws-mail/files/claws-3.9.0_fix-search-field_part1.patch
@@ -0,0 +1,149 @@
+Make combo search field work again.
+
+Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=455590
+Upstream commit: http://www.claws-mail.org/tracker/getpatchset.php?ver=3.9.0cvs8
+--- src/advsearch.c 24 Oct 2012 07:48:24 -0000 1.1.2.7
++++ src/advsearch.c 16 Nov 2012 13:10:05 -0000 1.1.2.8
+@@ -314,32 +314,6 @@
+ return returnstr;
+ }
+
+-// --------------------------
+-
+-static gchar *expand_tag_search_string(const gchar *search_string)
+-{
+- gchar *newstr = NULL;
+- gchar **words = search_string ? g_strsplit(search_string, " ", -1):NULL;
+- gint i = 0;
+- while (words && words[i] && *words[i]) {
+- g_strstrip(words[i]);
+- if (!newstr) {
+- newstr = g_strdup_printf("tag matchcase \"%s\"", words[i]);
+- } else {
+- gint o_len = strlen(newstr);
+- gint s_len = 17; /* strlen("|tag matchcase \"\"") */
+- gint n_len = s_len + strlen(words[i]);
+- newstr = g_realloc(newstr, o_len + n_len + 1);
+- strcpy(newstr + o_len, "|tag matchcase \"");
+- strcpy(newstr + o_len + (s_len - 1), words[i]);
+- strcpy(newstr + o_len + (n_len - 1), "\"");
+- }
+- i++;
+- }
+- g_strfreev(words);
+- return newstr;
+-}
+-
+ static void prepare_matcher_extended(AdvancedSearch *search)
+ {
+ gchar *newstr = advsearch_expand_search_string(search->request.matchstring);
+@@ -350,19 +324,51 @@
+ }
+ }
+
++#define debug_matcher_list(prefix, list) \
++do { \
++ gchar *str = list ? matcherlist_to_string(list) : g_strdup("(NULL)"); \
++ \
++ debug_print("%s: %s\n", prefix, str); \
++ \
++ g_free(str); \
++} while(0)
++
+ static void prepare_matcher_tag(AdvancedSearch *search)
+ {
+- char *newstr = expand_tag_search_string(search->request.matchstring);
+- search->predicate = matcher_parser_get_cond(newstr, &search->is_fast);
+- g_free(newstr);
++ gchar **words = search->request.matchstring
++ ? g_strsplit(search->request.matchstring, " ", -1)
++ : NULL;
++ gint i = 0;
++
++ if (search->predicate == NULL) {
++ search->predicate = g_new0(MatcherList, 1);
++ search->predicate->bool_and = FALSE;
++ search->is_fast = TRUE;
++ }
++
++ while (words && words[i] && *words[i]) {
++ MatcherProp *matcher;
++
++ g_strstrip(words[i]);
++
++ matcher = matcherprop_new(MATCHCRITERIA_TAG, NULL,
++ MATCHTYPE_MATCHCASE, words[i], 0);
++
++ search->predicate->matchers = g_slist_prepend(search->predicate->matchers, matcher);
++
++ i++;
++ }
++ g_strfreev(words);
+ }
+
+ static void prepare_matcher_header(AdvancedSearch *search, gint match_header)
+ {
+ MatcherProp *matcher;
+
+- if (search->predicate == NULL)
++ if (search->predicate == NULL) {
+ search->predicate = g_new0(MatcherList, 1);
++ search->predicate->bool_and = FALSE;
++ }
+
+ matcher = matcherprop_new(match_header, NULL, MATCHTYPE_MATCHCASE,
+ search->request.matchstring, 0);
+@@ -373,10 +379,18 @@
+ static void prepare_matcher_mixed(AdvancedSearch *search)
+ {
+ prepare_matcher_tag(search);
++ debug_matcher_list("tag matcher list", search->predicate);
++
++ /* we want an OR search */
++ if (search->predicate)
++ search->predicate->bool_and = FALSE;
+
+ prepare_matcher_header(search, MATCHCRITERIA_SUBJECT);
++ debug_matcher_list("tag + subject matcher list", search->predicate);
+ prepare_matcher_header(search, MATCHCRITERIA_FROM);
++ debug_matcher_list("tag + subject + from matcher list", search->predicate);
+ prepare_matcher_header(search, MATCHCRITERIA_TO);
++ debug_matcher_list("tag + subject + from + to matcher list", search->predicate);
+ }
+
+ static void prepare_matcher(AdvancedSearch *search)
+@@ -398,26 +412,32 @@
+ switch (search->request.type) {
+ case ADVANCED_SEARCH_SUBJECT:
+ prepare_matcher_header(search, MATCHCRITERIA_SUBJECT);
++ debug_matcher_list("subject search", search->predicate);
+ break;
+
+ case ADVANCED_SEARCH_FROM:
+ prepare_matcher_header(search, MATCHCRITERIA_FROM);
++ debug_matcher_list("from search", search->predicate);
+ break;
+
+ case ADVANCED_SEARCH_TO:
+ prepare_matcher_header(search, MATCHCRITERIA_TO);
++ debug_matcher_list("to search", search->predicate);
+ break;
+
+ case ADVANCED_SEARCH_TAG:
+- prepare_matcher_header(search, MATCHCRITERIA_TAG);
++ prepare_matcher_tag(search);
++ debug_matcher_list("tag search", search->predicate);
+ break;
+
+ case ADVANCED_SEARCH_MIXED:
+ prepare_matcher_mixed(search);
++ debug_matcher_list("mixed search", search->predicate);
+ break;
+
+ case ADVANCED_SEARCH_EXTENDED:
+ prepare_matcher_extended(search);
++ debug_matcher_list("extended search", search->predicate);
+ break;
+
+ default:
+
diff --git a/mail-client/claws-mail/files/claws-3.9.0_fix-search-field_part2.patch b/mail-client/claws-mail/files/claws-3.9.0_fix-search-field_part2.patch
new file mode 100644
index 00000000000..bb8a78aac83
--- /dev/null
+++ b/mail-client/claws-mail/files/claws-3.9.0_fix-search-field_part2.patch
@@ -0,0 +1,16 @@
+Make combo search field work again.
+
+Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=455590
+Upstream commit: http://www.claws-mail.org/tracker/getpatchset.php?ver=3.9.0cvs9
+
+--- src/advsearch.c 16 Nov 2012 13:10:05 -0000 1.1.2.8
++++ src/advsearch.c 16 Nov 2012 13:11:55 -0000 1.1.2.9
+@@ -368,6 +368,7 @@
+ if (search->predicate == NULL) {
+ search->predicate = g_new0(MatcherList, 1);
+ search->predicate->bool_and = FALSE;
++ search->is_fast = TRUE;
+ }
+
+ matcher = matcherprop_new(match_header, NULL, MATCHTYPE_MATCHCASE,
+
diff --git a/mail-client/claws-mail/files/claws-mail-3.11.1_RSSyl-encodings-fix.patch b/mail-client/claws-mail/files/claws-mail-3.11.1_RSSyl-encodings-fix.patch
new file mode 100644
index 00000000000..82e13b25390
--- /dev/null
+++ b/mail-client/claws-mail/files/claws-mail-3.11.1_RSSyl-encodings-fix.patch
@@ -0,0 +1,23 @@
+From: Andrej Kacian <ticho@claws-mail.org>
+Date: Thu, 1 Jan 2015 22:36:36 +0000 (+0100)
+Subject: RSSyl: Fix handling of feeds with encodings unknown to expat. Turns out the only...
+X-Git-Url: http://git.claws-mail.org/?p=claws.git;a=commitdiff_plain;h=d05156031070efe6104695acad93aa879bc0f084
+
+RSSyl: Fix handling of feeds with encodings unknown to expat. Turns out the only thing missing was that HAVE_ICONV macro (from config.h) was not defined in parser.c, so our "unknown encoding" expat handler function did nothing. Fixes bug #3339.
+---
+
+diff --git a/src/plugins/rssyl/libfeed/parser.c b/src/plugins/rssyl/libfeed/parser.c
+index bb0bb0d..14f4a36 100644
+--- a/src/plugins/rssyl/libfeed/parser.c
++++ b/src/plugins/rssyl/libfeed/parser.c
+@@ -17,6 +17,10 @@
+ * Boston, MA 02111-1307, USA.
+ */
+
++#ifdef HAVE_CONFIG_H
++# include <config.h>
++#endif
++
+ #include <glib.h>
+ #include <curl/curl.h>
+ #include <expat.h>
diff --git a/mail-client/claws-mail/files/claws-mail-3.9.1_fix-nntp-segfault.patch b/mail-client/claws-mail/files/claws-mail-3.9.1_fix-nntp-segfault.patch
new file mode 100644
index 00000000000..0abc3725a70
--- /dev/null
+++ b/mail-client/claws-mail/files/claws-mail-3.9.1_fix-nntp-segfault.patch
@@ -0,0 +1,36 @@
+claws-mail 3.9.1 reproducible segfaults on exit when compiled with NNTP support.
+
+Apparently the pointer returned by account_get_list() is truncated to an integer due to a missing function definition:
+
+(gdb) r
+Starting program: /usr/local/bin/claws-mail
+[New LWP 101084]
+[New Thread 80ac06400 (LWP 101084)]
+
+Program received signal SIGSEGV, Segmentation fault.
+[Switching to Thread 80ac06400 (LWP 101084)]
+0x00000000005331f9 in nntp_disconnect_all (have_connectivity=1) at news.c:1418
+1418 for (list = account_get_list(); list != NULL; list = list->next) {
+(gdb) where
+#0 0x00000000005331f9 in nntp_disconnect_all (have_connectivity=1) at news.c:1418
+#1 0x0000000000669cf3 in nntp_main_done (have_connectivity=1) at nntp-thread.c:163
+#2 0x00000000004e59aa in exit_claws (mainwin=0x80acf23c0) at main.c:1811
+#3 0x00000000004e2627 in main (argc=1, argv=0x7fffffffd8b0) at main.c:1739
+(gdb) p list
+$1 = (GList *) 0xb836a00
+
+
+Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=469838
+Upstream bug: http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2924
+Upstream fix: http://git.claws-mail.org/?p=claws.git;a=patch;h=8891f6e23e51b38c54c7b717fa0922cb101b76a2
+
+--- a/src/news.c
++++ b/src/news.c
+@@ -56,6 +56,7 @@
+ #include "remotefolder.h"
+ #include "alertpanel.h"
+ #include "inc.h"
++#include "account.h"
+ #ifdef USE_GNUTLS
+ # include "ssl.h"
+ #endif
diff --git a/mail-client/claws-mail/files/claws-mail-3.9.1_libsoup-check-fix.patch b/mail-client/claws-mail/files/claws-mail-3.9.1_libsoup-check-fix.patch
new file mode 100644
index 00000000000..3b5c452b765
--- /dev/null
+++ b/mail-client/claws-mail/files/claws-mail-3.9.1_libsoup-check-fix.patch
@@ -0,0 +1,30 @@
+
+libsoup is not obligatory, but nonetheless a mandatory check existed.
+Fixed in releases >3.9.1
+
+Gentoo bug: https://bugs.gentoo.org/show_bug.cgi?id=469014
+Upstream commit: http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=d04c724c9e74f7c5d1f247e41a21e472790d9992
+
+
+--- configure.ac.orig
++++ configure.ac
+@@ -1107,14 +1107,17 @@
+ AC_SUBST(WEBKIT_CFLAGS)
+
+ dnl libsoup ********************************************************************
+-PKG_CHECK_MODULES(LIBSOUP, libsoup-2.4)
++PKG_CHECK_MODULES(LIBSOUP, libsoup-2.4, HAVE_LIBSOUP=yes, HAVE_LIBSOUP=no)
++if test x"$HAVE_LIBSOUP" = xyes; then
++ AC_DEFINE(HAVE_LIBSOUP, 1, [Define if libsoup is available])
++fi
+ AC_SUBST(LIBSOUP_CFLAGS)
+ AC_SUBST(LIBSOUP_LIBS)
+
+ dnl libsoup-gnome **************************************************************
+ PKG_CHECK_MODULES(LIBSOUP_GNOME, libsoup-gnome-2.4 >= 2.26, HAVE_LIBSOUP_GNOME=yes, HAVE_LIBSOUP_GNOME=no)
+ if test x"$HAVE_LIBSOUP_GNOME" = xyes; then
+- AC_DEFINE(HAVE_LIBSOUP_GNOME, 1, [Define if libsoup is available])
++ AC_DEFINE(HAVE_LIBSOUP_GNOME, 1, [Define if libsoup_gnome is available])
+ fi
+ AC_SUBST(LIBSOUP_GNOME_CFLAGS)
+ AC_SUBST(LIBSOUP_GNOME_LIBS)
diff --git a/mail-client/claws-mail/metadata.xml b/mail-client/claws-mail/metadata.xml
new file mode 100644
index 00000000000..77193544902
--- /dev/null
+++ b/mail-client/claws-mail/metadata.xml
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>net-mail</herd>
+ <maintainer>
+ <email>fauli@gentoo.org</email>
+ <name>Christian Faulhammer</name>
+ </maintainer>
+ <use>
+ <flag name="archive">Enable archiving plugin</flag>
+ <flag name="gdata">Enable plugin for access to Google
+ data providers</flag>
+ <flag name="gtk3">Build support for GTK+3</flag>
+ <flag name="pgp">Enable PGP support</flag>
+ <flag name="spam-report">Enable plugin for spam
+ reporting to various services</flag>
+ <flag name="bogofilter">Build <pkg>mail-filter/bogofilter</pkg>
+ plugin</flag>
+ <flag name="dillo">Enables support for inline HTTP email viewing with a
+ plugin (which depends on the <pkg>www-client/dillo</pkg>
+ browser)</flag>
+ <flag name="libcanberra">Enable sound notification in connection
+ with USE=notification</flag>
+ <flag name="libindicate">Enable notification through
+ DBUS in connection with USE=notification</flag>
+ <flag name="libnotify">Enable notification on the
+ desktop in connection with USE=notification</flag>
+ <flag name="notification">Notification for new mail in
+ different way, see also USE flags libcanberra,
+ libindicate and libnotify</flag>
+ <flag name="smime">Build plugin for S/MIME support</flag>
+ <flag name="spamassassin">Build <pkg>mail-filter/spamassassin</pkg>
+ plugin</flag>
+ <flag name="valgrind">Add support for memory debugging
+ using valgrind</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">sylpheed-claws</remote-id>
+ </upstream>
+</pkgmetadata>